> ## Documentation Index
> Fetch the complete documentation index at: https://docs.linkio.world/llms.txt
> Use this file to discover all available pages before exploring further.

# B2B Rate Quote



## OpenAPI

````yaml /reference/link-transaction.json get /otc/rate_quote
openapi: 3.1.0
info:
  title: link-transaction
  version: '1.0'
servers:
  - url: https://api.linkio.world
security:
  - sec0: []
tags:
  - name: Direct FX
  - name: Pan-Africa Ramp
  - name: BRL Ramp
  - name: IDR Ramp
  - name: B2B
  - name: Customers
  - name: Static Details
  - name: Transactions
  - name: Accounts
  - name: ESPESS
paths:
  /otc/rate_quote:
    get:
      tags:
        - B2B
      summary: B2B Rate Quote
      operationId: get_business-rate-quote
      parameters:
        - in: query
          name: currency
          schema:
            type: string
            enum:
              - AED
              - AOA
              - BIF
              - CDF
              - DZD
              - EGP
              - ETB
              - EUR
              - GBP
              - GHS
              - LYD
              - MAD
              - MUR
              - MWK
              - MZN
              - NGN
              - SGD
              - SLE
              - SSP
              - TRY
              - TZS
              - UGX
              - USD
              - XAF
              - XOF
          required: true
          description: Fiat currency used to onramp or receive offramp.
        - in: query
          name: trx_type
          schema:
            type: string
            enum:
              - onramp
              - offramp
          description: >-
            Transaction type: "onramp" for "Fiat"→USDC, "offramp" for
            USDC→"Fiat".
          required: true
        - in: query
          name: amount
          schema:
            type: string
          required: true
          description: Amount Business wants to Onramp(Fiat) OR offramp(Stables).
      responses:
        '200':
          description: ''
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: ngnc-sec-key
      x-default: ''

````